# Get Screen Color Temperature
This API can be used to get the color temperature of a specified screen.
# API Path
{CLTPlatform-ip}:8086/processor/getColorTemperature
- Replace
{CLTPlatform-ip}with the corresponding IP address. - The request port is
8086.
# Protocol
HTTP
# Method
POST
# Request Parameters
- Set the
Content-Typeof the request body toapplication/json.
| Parameter Name | Description | Required | Type | Data Dictionary | Restriction | Example |
|---|---|---|---|---|---|---|
| command | Command type | Yes | [string] | processor/getColorTemperature | ||
| data | Data | Yes | [object] | |||
| data>>index | Sender index (starts from 0) | Yes | [int] | 0 | ||
| data>>groupIndex | Screen group index (0~screenGroupCount-1) | Yes | [int] | 0 |
# Request Example
{
"command": "processor/getColorTemperature",
"data": {
"index": 0,
"groupIndex": 0
}
}
# Response
| Parameter Name | Description | Required | Type | Data Dictionary | Restriction | Example |
|---|---|---|---|---|---|---|
| command | Command type | Yes | [string] | processor/getColorTemperature | ||
| code | Status code | Yes | [int] | 20000 | ||
| message | Message | Yes | [string] | Common_Success | ||
| data | Data | Yes | [object] | |||
| data>>colorTemperature | Color temperature (2000~10000) | Yes | [int] | 6500 | ||
| data>>bEnableColorTemperature | Whether the color temperature is enabled | Yes | [boolean] | false |
# Response Example
{
"command": "processor/getColorTemperature",
"code": 20000,
"message": "Common_Success",
"data": {
"colorTemperature": 6500,
"bEnableColorTemperature": false
}
}